local me = LocalPlayer()
local netchan = sublime.netchan

local tickrate = math.floor( 1 / engine.TickInterval() )

local function TickHk()
    if not me:Alive() then
        return
    end

    local wep = me:GetActiveWeapon()

    if not IsValid( wep ) then
        return 
    end

    if input.IsKeyDown( KEY_F ) then
        netchan.SetOutSequenceNr( netchan.GetOutSequenceNr() - 8 )
    end

   // print( wep:SequenceDuration() )
end

hook.Add( "Tick", "grust.SeqFreeze", TickHk )






